## org.w3c.dom.svg
Interface SVGTextPositioningElement

All Superinterfaces:
  org.w3c.dom.Element, org.w3c.dom.events.EventTarget, org.w3c.dom.Node, SVGElement, SVGExternalResourcesRequired, SVGLangSpace, SVGStylable, SVGTests, SVGTextContentElement

All Known Subinterfaces:
  SVGAltGlyphElement, SVGTextElement, SVGTRefElement, SVGTSpanElement

All Known Implementing Classes:
  SVGOMAltGlyphElement, SVGOMTextElement, SVGOMTextPositioningElement, SVGOMTRefElement, SVGOMTSpanElement

public interface SVGTextPositioningElement
extends SVGTextContentElement

Field Summary

Fields inherited from interface org.w3c.dom.svg.SVGTextContentElement
`LENGTHADJUST_SPACING, LENGTHADJUST_SPACINGANDGLYPHS, LENGTHADJUST_UNKNOWN`

Fields inherited from interface org.w3c.dom.Node
`ATTRIBUTE_NODE, CDATA_SECTION_NODE, COMMENT_NODE, DOCUMENT_FRAGMENT_NODE, DOCUMENT_NODE, DOCUMENT_TYPE_NODE, ELEMENT_NODE, ENTITY_NODE, ENTITY_REFERENCE_NODE, NOTATION_NODE, PROCESSING_INSTRUCTION_NODE, TEXT_NODE`

Method Summary
`SVGAnimatedLengthList` `getDx()`
`SVGAnimatedLengthList` `getDy()`
`SVGAnimatedNumberList` `getRotate()`
`SVGAnimatedLengthList` `getX()`
`SVGAnimatedLengthList` `getY()`

Methods inherited from interface org.w3c.dom.svg.SVGTextContentElement
`getCharNumAtPosition, getComputedTextLength, getEndPositionOfChar, getExtentOfChar, getLengthAdjust, getNumberOfChars, getRotationOfChar, getStartPositionOfChar, getSubStringLength, getTextLength, selectSubString`

Methods inherited from interface org.w3c.dom.svg.SVGElement
`getId, getOwnerSVGElement, getViewportElement, getXMLbase, setId, setXMLbase`

Methods inherited from interface org.w3c.dom.Element
`getAttribute, getAttributeNode, getAttributeNodeNS, getAttributeNS, getElementsByTagName, getElementsByTagNameNS, getTagName, hasAttribute, hasAttributeNS, removeAttribute, removeAttributeNode, removeAttributeNS, setAttribute, setAttributeNode, setAttributeNodeNS, setAttributeNS`

Methods inherited from interface org.w3c.dom.Node
`appendChild, cloneNode, getAttributes, getChildNodes, getFirstChild, getLastChild, getLocalName, getNamespaceURI, getNextSibling, getNodeName, getNodeType, getNodeValue, getOwnerDocument, getParentNode, getPrefix, getPreviousSibling, hasAttributes, hasChildNodes, insertBefore, isSupported, normalize, removeChild, replaceChild, setNodeValue, setPrefix`

Methods inherited from interface org.w3c.dom.svg.SVGTests
`getRequiredExtensions, getRequiredFeatures, getSystemLanguage, hasExtension`

Methods inherited from interface org.w3c.dom.svg.SVGLangSpace
`getXMLlang, getXMLspace, setXMLlang, setXMLspace`

Methods inherited from interface org.w3c.dom.svg.SVGExternalResourcesRequired
`getExternalResourcesRequired`

Methods inherited from interface org.w3c.dom.svg.SVGStylable
`getClassName, getPresentationAttribute, getStyle`

Methods inherited from interface org.w3c.dom.events.EventTarget
`addEventListener, dispatchEvent, removeEventListener`

Method Detail

### getX

    public SVGAnimatedLengthList getX()

### getY

    public SVGAnimatedLengthList getY()

### getDx

    public SVGAnimatedLengthList getDx()

### getDy

    public SVGAnimatedLengthList getDy()

### getRotate

    public SVGAnimatedNumberList getRotate()

Copyright © 2004 Apache Software Foundation. All Rights Reserved.